<% if (options.supportIE) { %>
import 'quasar-framework/dist/quasar.ie.polyfills'
<% }

let importStatement, useStatement = []

if (options.framework.i18n) { %>
import lang from 'quasar-framework/i18n/<%= options.framework.i18n %>'
<%
  useStatement.push('i18n: lang')
}

if (options.framework.iconSet) { %>
import iconSet from 'quasar-framework/icons/<%= options.framework.iconSet %>'
<%
  useStatement.push('iconSet: iconSet')
}

if (options.framework === 'all' || options.framework.all) {
  importStatement = ', * as All'
  useStatement.push(
    'components: All',
    'directives: All',
    'plugins: All'
  )
}
else {
  importStatement = []

  ;['components', 'directives', 'plugins'].forEach(type => {
    if (options.framework[type]) {
      let items = options.framework[type].filter(item => item)
      if (items.length > 0) {
        useStatement.push(type + ': {' + items.join(',') + '}')
        importStatement = importStatement.concat(items)
      }
    }
  })
}
%>

import Vue from 'vue'
import Quasar<%= importStatement || '' %> from 'quasar-framework/dist/quasar.<%= options.theme %>.esm'

export default ({ req }) => {
  const opts = <%= '{' + useStatement.join(',') + '}' %>

  if (process.server) {
    opts.cfg = opts.cfg || {}
    opts.cfg.platform = opts.cfg.platform || {}
    opts.cfg.platform.userAgent = req.headers['user-agent']
  }

  Vue.use(Quasar, opts)
}
